%define name		perl-Archive-Tar
%define realname	Archive-Tar 
%define version		1.05
%define release		1mdk

Summary: Tar module for manipulation of tar archives.
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL or Artistic
Group: Development/Perl
Source0: %{realname}-%{version}.tar.bz2
Url: http://www.cpan.org
Requires: perl
BuildRequires: perl-devel
BuildRoot: %{_tmppath}/%{name}-buildroot/
BuildArch: noarch

%description
Tar module for manipulation of tar archives.

%prep
%setup -q -n %{realname}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor

%make
%{__make} test

%install
%{__rm} -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
%{__rm} -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc README
%{perl_vendorlib}/Archive/*
%{_mandir}/man3/*

%changelog
* Thu Aug 28 2003 Franois Pons <fpons@mandrakesoft.com> 1.05-1mdk
- removed ptar no more available.
- 1.05.

* Sat Aug 02 2003 Ben Reser <ben@reser.org> 0.22-9mdk
- mv rm buildroot from %%prep to %%install
- don't need perllocal.pod rm now.

* Sat Aug 02 2003 Ben Reser <ben@reser.org> 0.22-8mdk
- Use %%makeinstall_std now that it works on klama

* Sat Aug 02 2003 Ben Reser <ben@reser.org> 0.22-7mdk
- Use %%makeinstall

* Fri Aug  1 2003 Ben Reser <ben@reser.org> 0.22-6mdk
- Fix man path
- Macroification
- Quiet %%setup
- Fix unpackaged perllocal error

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.22-5mdk
- rebuild for new auto{prov,req}

* Fri Apr 25 2003 Pixel <pixel@mandrakesoft.com> 0.22-4mdk
- add "BuildRequires: perl-devel"

* Wed Jul 10 2002 Pixel <pixel@mandrakesoft.com> 0.22-3mdk
- rebuild for perl 5.8.0

* Thu Aug 23 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.22-2mdk
- rebuild

* Wed Mar 28 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.22-1mdk
- added by Stefan van der Eijk <s.vandereijk@chello.nl> :
	- new in contrib
